/**
 * Created by soutez305 on 24.6.2017.
 */
function showEditView(id) {
    var c = getContacts(),
        kontakt = {};
    c.forEach(function (e) {
        if (e.id == id) {
            kontakt = e;
        }
    });

    $("#main-view").html(
        '<div class="contact-edit">' +
        ' <header>' +
        '<h1>' + kontakt.name + " " + kontakt.surname + ' <span class="edit-text">úpravy</span></h1>' +
        '<div class="close-edit"><img src="img/icons/close.svg" alt=""></div>' +
        ' </header> ' +
        '<main>' +
        ' </main>' +
        '</div>'
    );

    editViewAddFirstSection(kontakt);
    editViewAddEmailsSection(kontakt);
    editViewAddPhonesSection(kontakt);

    $(".close-edit").click(function () {
        resetMainView()
    });

}

function createInput(name, value, isDoubleInput) {
    return $("<figure class='udaj'>" +
    "<figcaption>" +
        (isDoubleInput ? "<input type='text' value='"+name+"'>" : name )+ ": "+
        "</figcaption>" +
        "<input type='text' value='" + value + "'>" +
        "</figure>")
}

function editViewAddFirstSection(kontakt) {
    var section = $("<section class='form-row'></section>");
    section.html("<div class='content'>" +
        "<div class='left'></div><div class='right'></div>" +
        "</div>")
        .find(".left").append(
        $('<div class="user-image">' +
            '<img src="img/icons/user.svg" alt="">' +
            '</div>')
    ).parent().find(".right").append(
        createInput("Jméno", kontakt.name, false)
    ).append(
        createInput("Příjmení", kontakt.surname, false)
    ).append(
            createInput("Štítky", kontakt.tags.join(", "), false)
    )
    $("#main-view .contact-edit main").append(section);
}

function editViewAddEmailsSection(kontakt){
    var section = $("<section class='form-row'></section>");
    section.html("<div class='content'></div>");

    kontakt.emails.forEach(function(e){
       section.find(".content").append(
            createInput(e.name, e.value, true)
        );
    });

    $("#main-view .contact-edit main").append(section);
}
function editViewAddPhonesSection(kontakt){
    var section = $("<section class='form-row'></section>");
    section.html("<div class='content'></div>");

    kontakt.phones.forEach(function(e){
        section.find(".content").append(
            createInput(e.name, e.value, true)
        );
    });

    $("#main-view .contact-edit main").append(section);
}